Subject: bug#48131: build failure: 1.3.0rc1 on Debian i386 with guile-2.2

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 17 Mar 2022 22:31:31 -0400

Hi Vagrant,

Ludovic Courtès <[email-masked]> writes:

> Vagrant Cascadian <[email-masked]> skribis:
>
>> On 2021-05-02, Vagrant Cascadian wrote:
>>> On 2021-05-02, Ludovic Courtès wrote:
>
> [...]
>
>>>> Guile 3.0’s compiler with ‘-O1’ (which is what we use for package files)
>>>> uses much less memory than 2.2¹.  The amount of memory may also be a
>>>> function of the number of threads used (‘-j’).  So it could be that the
>>>> build failed on a machine with less memory or more cores.
>>>
>>> The machine it failed on had 32 cores and 140GB of ram... but will
>>> experiment with reducing parallelism on that machine and see if that
>>> helps.
>>
>> I just realized that the Debian guix packages are built with parallelism
>> disabled for reproducible builds, so that seems unlikely to be the
>> issue... it might just be an issue with guile-2.2 on Debian...
>
> D’oh.  Could you try reducing the number of libgc marker thread, in case
> that is what’s causing troubles?  You can do that by setting the
> GC_MARKERS environment variables, as in GC_MARKERS=2.

Is this issue still actual?

If so, could you try what Ludovic suggested?  Otherwise, let's close it.

Thank you,

Maxim